View Issue Details

IDProjectCategoryView StatusLast Update
0004779SketcherBugpublic2021-11-24 13:31
ReporterGazBaz Assigned ToopenBrain  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSKubuntuOS Version 21.04
Product Version0.20 
Summary0004779: Sketcher ... Diameter of a circle, part of text missing, but OK on the radius of the same circle
DescriptionI am using Sketcher to set the size of a the Diameter of a circle but the bottom part of text is missing, but OK on the radius of the same circle ?


This has the same bug in these versions ...

OS: Ubuntu 21.04 (KDE/plasma)
Word size of FreeCAD: 64-bit
Version: 0.20.26202 (Git) AppImage
Build type: Release
Branch: master
Hash: ca6d49d080dea0abc23d954743eca7c46f33469b
Python version: 3.9.7
Qt version: 5.12.9
Coin version: 4.0.0
OCC version: 7.5.3
Locale: English/United Kingdom (en_GB)

AND ...

OS: Ubuntu 21.04 (KDE/plasma)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.24291 (Git) AppImage
Build type: Release
Branch: (HEAD detached at 0.19.2)
Hash: 7b5e18a0759de778b74d3a5c17eba9cb815035ac
Python version: 3.8.8
Qt version: 5.12.9
Coin version: 4.0.0
OCC version: 7.4.0
Locale: English/United Kingdom (en_GB)

BUT works correctly in Snap version ...

OS: Ubuntu Core 20 (KDE/plasma)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.24276 (Git)
Build type: Unknown
Branch: releases/FreeCAD-0-19
Hash: a88db11e0a908f6e38f92bfc5187b13ebe470438
Python version: 3.8.5
Qt version: 5.12.8
Coin version: 4.0.0
OCC version: 7.5.0
Locale: English/United States (en_US)
Steps To ReproduceMake circle in sketcher, use the diameter tool to dimension.
Tagsappimage
FreeCAD InformationOS: Ubuntu 21.04 (KDE/plasma)
Word size of FreeCAD: 64-bit
Version: 0.20.26202 (Git) AppImage
Build type: Release
Branch: master
Hash: ca6d49d080dea0abc23d954743eca7c46f33469b
Python version: 3.9.7
Qt version: 5.12.9
Coin version: 4.0.0
OCC version: 7.5.3
Locale: English/United Kingdom (en_GB)

Activities

GazBaz

2021-11-06 08:33

reporter  

0.20 - Fail - Circles .png (996,654 bytes)   
0.20 - Fail - Circles .png (996,654 bytes)   

openBrain

2021-11-16 17:49

developer   ~0016032

Last edited: 2021-11-16 17:51

@GazBaz : please always submit your issue first by opening a new topic in our forum before opening a ticket according our reporting guidelines

Will ping @abdullah about this as he is currently refactoring the drawSketch code. I can confirm the issue.

openBrain

2021-11-18 14:03

developer   ~0016038

Discussed here : https://forum.freecadweb.org/viewtopic.php?f=10&t=63041&start=10#p547303
I can reproduce.
Pull request : https://github.com/FreeCAD/FreeCAD/pull/5185

openBrain

2021-11-24 13:31

developer   ~0016053

PR merged

Issue History

Date Modified Username Field Change
2021-11-06 08:33 GazBaz New Issue
2021-11-06 08:33 GazBaz Tag Attached: appimage
2021-11-06 08:33 GazBaz File Added: 0.20 - Fail - Circles .png
2021-11-16 17:49 openBrain Status new => feedback
2021-11-16 17:49 openBrain Note Added: 0016032
2021-11-16 17:51 openBrain Note Edited: 0016032
2021-11-16 17:52 openBrain Tag Attached: #post-to-forum
2021-11-18 14:03 openBrain Assigned To => openBrain
2021-11-18 14:03 openBrain Status feedback => assigned
2021-11-18 14:03 openBrain Note Added: 0016038
2021-11-24 13:31 openBrain Tag Detached: #post-to-forum
2021-11-24 13:31 openBrain Status assigned => resolved
2021-11-24 13:31 openBrain Resolution open => fixed
2021-11-24 13:31 openBrain Note Added: 0016053